INTERFACE
SUBROUTINE ATM2SX_ENV(HINMODEL,KYPROC,KGPTOT,KPRCIDS,KTAG,KDLUXG,KDGUXG,KEXTI,KEXTJ,KGPGLO,KYEAR,KMONTH,KDAY,KTIME,KLUOUT)
USE PARKIND1  ,ONLY : JPIM
CHARACTER(LEN=6),   OPTIONAL,   INTENT(IN)   :: HINMODEL 
INTEGER(KIND=JPIM), OPTIONAL,   INTENT(IN)   :: KYPROC 
INTEGER(KIND=JPIM), DIMENSION(:), OPTIONAL, INTENT(IN)   :: KGPTOT
INTEGER(KIND=JPIM), DIMENSION(:), OPTIONAL, INTENT(IN)   :: KPRCIDS
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KTAG
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KDLUXG
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KDGUXG
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KEXTI
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KEXTJ
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KGPGLO
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KYEAR
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KMONTH
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KDAY
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KTIME
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN)   :: KLUOUT
END SUBROUTINE ATM2SX_ENV
END INTERFACE

